"Actions" in qgis do not work on MS windows
Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11375

Description

qGIS (0.11/windows) crashes if you want to use actions (e. g. to link images or websites)

This problem only occure on the windows version, on ubuntu actions seems to work properly.

Original Task: link photos to point shape files using "actions".

An action is defined: calling "firefox" as action

The Identify Feature is used to open the identify window

A click on the action is used to define the action...

result: qgis crashes

Regards,

Gerhard

History

#1 - 2008-11-21 12:37 AM - Paolo Cavallini

Any additional info? It works for me, at least in 1.0 preview[1-2]

#2 - 2009-01-27 02:23 AM - Mike Taves

I'm pretty sure this is fixed in version 1.0 and this ticket can be closed. See also #1203 which I just reopened.

#3 - 2009-01-27 02:43 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

#4 - 2009-03-28 07:10 AM - doktoreas -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

I got this trouble using 1.0.1; clicking an action make Qgis crash.

Using windows vista 64bit
Thanks

Luca

#5 - 2009-03-28 08:15 PM - Mike Taves

I'm still certain that this issue (in regards to not working on Windows) was fixed for version 1.x. You might have this confused with another bug #1203,

which is entirely possible.

But, to be sure, try this:

 1. Add a layer to a QGIS project, and go to the properties

 1. In the "Actions" tab, make a new action

  1. Set name to: Search this

  1. I'll assume you have Firefox installed, so set action to: "C:\\Program Files\\Mozilla Firefox\\firefox.exe" http://www.google.com/search?q=%name

  1. Edit "%name" to grab a field name from your feature layer into the query, such as a single-word name or numeric value. There is an "Insert field" tool to

help you out.

  1. Don't select capture, since this is bug #1203, and it doesn't make sense for this action. Keep it unselected!

  1. Click Insert action, and OK

 1. Save the project (in case the crash happens)

 1. Use you identify tool and click on a feature item

 1. Click the action ... did it crash or search the %name ?

Now, if you want to recreate #1203, modify the above to capture output, and use a command that does not exist (e.g., modify firefox.exe to nothing.exe)

and crash!

#6 - 2009-04-10 11:38 PM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to fixed

Comments by mwtoews seem convincing. Closing the bug. If inappropriate, please reopen it.

#7 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted

Files

qgiscrash_actions.pdf 250 KB 2008-09-15 rap -

2024-04-29 2/2

http://www.google.com/search?q=%name

